{
	"format_version": "1.8.0",
	"animations": {
		"animation.tsu_morph.pufferfish.flop": {
			"loop": true,
			"bones": {
				"bodyMorph": {
					"rotation": [0, 0, "math.cos(q.anim_time * 360) * 90"]
				},
				"tailfin": {
					"rotation": [0, "math.cos(q.anim_time * 20 * 45.0) * -5.75", 0]
				}
			}
		},
		"animation.tsu_morph.pufferfish.swim": {
			"loop": true,
			"bones": {
				"tailfin": {
					"rotation": [0, "math.cos(q.anim_time * 20 * 30.0) * -5.75", 0]
				}
			}
		},
		"animation.tsu_morph.pufferfish.puff_up": {
			"animation_length": 5,
			"timeline": {
				"0.0": "v.puff_level = 1;",
				"0.5833": "v.puff_level = 2;",
				"4.9167": "v.puff_level = 0;"
			}
		}
	}
}